fix windows makefiles so outside people can do releases without splitsym

RESOLVED FIXED in mozilla1.0

Status

SeaMonkey
Build Config
P3
normal
RESOLVED FIXED
18 years ago
13 years ago

People

(Reporter: Dawn Endico, Assigned: Daniel (Leaf) Nunes)

Tracking

Trunk
mozilla1.0
x86
Windows NT

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(3 attachments)

(Reporter)

Description

18 years ago
The MOZILLA_OFFICAL variable needs to be set to create packages with the
build date set, however it also is set up to create fullcircle builds which
require splitsym.exe. Either the two processes should be split up or
splitsym.exe should be made available for everyone and added to the list
of requirements. Not sure if it is free or not.

This is blocking people from doing mathml builds for windows.

Updated

18 years ago
Assignee: cls → leaf

Comment 1

18 years ago
windows. reassigning to leaf.
(Reporter)

Comment 2

18 years ago
Created attachment 5152 [details] [diff] [review]
add MOZILLA_FULLCIRCLE flag
(Reporter)

Comment 3

18 years ago
this worked for me building the mathml build. it set the build date
properly. It still needs to be tested doing fullcircle builds
(Reporter)

Comment 4

18 years ago
Created attachment 5352 [details] [diff] [review]
patch - MOZILLA_FULLCIRCLE no longer sets MOZILLA_OFFICIAL
(Assignee)

Comment 5

18 years ago
I'm a big loser... dawn can you repost the diffs with diff -c or diff -u?
Status: NEW → ASSIGNED
(Reporter)

Comment 6

18 years ago
Created attachment 5406 [details] [diff] [review]
patch with diff -u

Comment 7

18 years ago
mass re-assign of all bugs where i was listed as the qa contact
QA Contact: cyeh → chofmann

Comment 8

17 years ago
this should be a simple change, but not urgent for moz 1.0 so setting 1.1.
QA Contact: chofmann → granrose
Target Milestone: --- → mozilla1.1
(Reporter)

Comment 9

17 years ago
roger, is this still an issue?

Is mathml still blocked? Apparently not because i've seen win32 mathml builds.
Is this patch completely rotted or is it worth checking in? 

Comment 10

17 years ago
I am not sure.

Do you know if they apply the patch before their builds? Since it is documented 
that the patch has to be applied as a workaround for official releases, maybe 
they are just applying the patch. Maybe you could ask them to try another build 
without applying the patch. This way, the answer will be known for sure.
(Assignee)

Comment 11

17 years ago
Index: makefile.win
===================================================================
RCS file: /cvsroot/mozilla/makefile.win,v
retrieving revision 3.102
diff -u -r3.102 makefile.win
--- makefile.win        2001/05/02 05:03:41     3.102
+++ makefile.win        2001/05/09 23:14:25
@@ -162,7 +162,7 @@
 splitsymbols:
 !if defined(MOZILLA_OFFICIAL)
 !if defined(FIND)
-!if "$(SPLITSYM)" != ""
+!if exist($(SPLITSYM))
        echo splitting symbols out of binaries
        cd $(MOZ_SRC)\mozilla
        $(FIND) $(DIST:\=/) -name "*.dll" -exec $(SPLITSYM) {} ;
@@ -170,7 +170,7 @@
        $(FIND) $(DIST:\=/) -name "*.EXE" -exec $(SPLITSYM) {} ;
 
 !else
-        echo No splitsym defined.
+        echo No splitsym defined, or does not exist.
 !endif
 !else
         echo No find defined.

a better patch.
(Assignee)

Comment 12

17 years ago
i need an r= from someone, then i'll seek an sr from cls

Comment 13

17 years ago
Index: config/config.mak
===================================================================
RCS file: /cvsroot/mozilla/config/config.mak,v
retrieving revision 3.115
diff -u -u -w -r3.115 config.mak
--- config.mak 2001/06/20 20:17:41 3.115
+++ config.mak 2001/07/08 19:42:32
@@ -337,6 +342,7 @@
 PERL = perl.exe
 
 #if MOZILLA_OFFICIAL is set, then define splitsym
+#XXX bug 27316?
 !if defined (MOZILLA_OFFICIAL)
 SPLITSYM = $(MOZ_TOOLS)\bin\splitsym
 !endif
I don't think it's really reasonable to release 1.0 without this fix.  Nominating.
Keywords: mozilla1.0
Target Milestone: mozilla1.1alpha → mozilla1.0

Comment 15

16 years ago
bug cleanup - all leaf's bugzilla bugs should be assigned to leaf@mozilla.org
(not leaf@netscape.com), now and any future bugs created.

this should be a one time change, apologies for the spam.
Assignee: leaf → leaf
Status: ASSIGNED → NEW
(Assignee)

Comment 16

15 years ago
the newest instructions for building a distribution have people turn of building
the debugging symbols, and avoid the build targets that fail without splitsym
(which isn't necessary if you don't build debugging symbols, anyway).

marking fixed.
Status: NEW → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → FIXED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.